function I=SMU1_measure(CLOI,repeats)

timeout=10;

%measure current on channel 1
%disp('OneShot');
command_string=['smu1 measureI ', num2str(repeats)];
while CLOI.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(CLOI, command_string);
return_string=fgetl(CLOI);

%check we have a return string that is at least two characters long
if size(return_string,2) < 2
    disp('ERROR: imcomplete return string. Return string below.');
    disp(return_string);
    %and terminate the function
    return
end


%check that the return array is complete by checking for opening and
%closing brackets at the start and end
if return_string(1)~= '[' || return_string(size(return_string,2)) ~= ']'
    disp('ERROR: imcomplete array. Return string below.');
    disp(return_string);
    %and terminate the function
    return
end

%now tht we know we have an array in brackets
%strip off the start and end brackets (first and last character)
return_string=return_string(2:size(return_string,2)-1);

%and then convert into an array
return_matrix=sscanf(return_string,'%g,',[1,repeats]).';

I=return_matrix;

